明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1298|回复: 4

加入一个实体,然后把删除,如何让它一加入就显示呢?

[复制链接]
发表于 2010-11-27 21:52:00 | 显示全部楼层 |阅读模式
在有些操作中需要在图像中加入一些文字,提示用户,提示完在删除,如何实现呢,
  1. Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument
  2.         Dim acCurDb As Database = acDoc.Database
  3.         Dim objId As ObjectId
  4.         '' Start a transaction
  5.         Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction()
  6.             '' Open the Block table for read
  7.             Dim acBlkTbl As BlockTable
  8.             acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId, OpenMode.ForRead)
  9.             '' Open the Block table record Model space for write
  10.             Dim acBlkTblRec As BlockTableRecord
  11.             acBlkTblRec = acTrans.GetObject(acBlkTbl(BlockTableRecord.ModelSpace), _
  12.                                             OpenMode.ForWrite)
  13.             Dim acText As DBText = New DBText()
  14.             acText.SetDatabaseDefaults()
  15.             acText.Position = New Point3d(0, 0, 0)
  16.             acText.Height = 100
  17.             acText.TextString = "Hello!"
  18.             acBlkTblRec.AppendEntity(acText)
  19.             acTrans.AddNewlyCreatedDBObject(acText, True)
  20.             '' Add the new object to the block table record and the transaction
  21.             acText.Highlight()
  22.             '' Update the display and display an alert message
  23.             acDoc.Editor.Regen()
  24.             ''在删除前显示
  25.             acText.Erase(True)
  26.             '' Save the new object to the database
  27.             Application.ShowAlertDialog("Erase the newly added text.")
  28.             acTrans.Commit()
  29.         End Using

好像只能第一次运行时能看到文字,在运行就看不见了 奇怪了
发表于 2010-11-27 22:05:00 | 显示全部楼层

试下这个类

TransientManager Class
 楼主| 发表于 2010-11-28 08:03:00 | 显示全部楼层

加入一个实体,然后把删除,如何让它一加入就显示呢?

这个 好像是2009新加的  如果2008想用 怎么办呢

 楼主| 发表于 2010-11-28 11:32:00 | 显示全部楼层

加入一个实体,然后把删除,如何让它一加入就显示呢?

http://www.theswamp.org/index.php?topic=30771.0
发表于 2010-11-28 12:26:00 | 显示全部楼层

2008确实没有这个类

好像记得以前用Document.GraphicsManager 做过类似的东西

不过很慢而且总是崩溃就没搞下去了

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 01:47 , Processed in 0.167480 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表